using System;

internal sealed class Delegate376 : MulticastDelegate
{
	public extern double Invoke(double double_0);

	public static double smethod_0(double double_0, Delegate376 delegate376_1)
	{
		return delegate376_1(double_0);
	}

	public extern Delegate376(object object_0, IntPtr intptr_0);

	static Delegate376()
	{
		Class10.smethod_13(typeof(Delegate376).TypeHandle);
	}

	internal static Delegate376 delegate376_0;
}
